%define __spec_install_post /bin/true
Name: ocaml
Version: 3.00
Release: 10
Summary: The Objective Caml compiler and programming environment
Source0: ftp://ftp.inria.fr/lang/caml-light/ocaml-3.00.tar.gz
Source1: ftp://ftp.inria.fr/lang/caml-light/ocaml-3.00-refman.html.tar.gz
Source2: ftp://ftp.inria.fr/lang/caml-light/ocaml-3.00-refman.ps.gz
Source3: ftp://ftp.inria.fr/lang/caml-light/ocaml-3.00-refman.info.tar.gz
Patch0: sparc.patch
Patch1: memmove.patch
Copyright: Open Source
Group: Development/Languages
BuildRoot: /var/tmp/ocaml-buildroot
URL: http://caml.inria.fr/
Excludearch: ia64

%description
Objective Caml is a high-level, strongly-typed, functional and
object-oriented programming language from the ML family of languages.

This package comprises two batch compilers (a fast bytecode compiler
and an optimizing native-code compiler), an interactive toplevel system,
Lex&Yacc tools, a replay debugger, and a comprehensive library.

%prep
%setup -q -T -b 0
%setup -q -T -D -a 1
%setup -q -T -D -a 3
cp %{SOURCE2} refman.ps.gz

%ifarch sparc
%patch0 -p1 -b .sparc
%endif

%patch1 -p1

%build
./configure -bindir %{_prefix}/bin -libdir %{_prefix}/lib/ocaml -mandir %{_prefix}/man/man1
make world opt ocamlc.opt ocamlopt.opt

%install
rm -rf ${RPM_BUILD_ROOT}


make install BINDIR=${RPM_BUILD_ROOT}%{_prefix}/bin LIBDIR=${RPM_BUILD_ROOT}%{_prefix}/lib/ocaml MANDIR=${RPM_BUILD_ROOT}%{_prefix}/man/man1

rm ${RPM_BUILD_ROOT}%{_prefix}/bin/ocamldebug
install -m755 debugger/ocamldebug ${RPM_BUILD_ROOT}%{_prefix}/bin/ocamldebug
(cd emacs; make install BINDIR=${RPM_BUILD_ROOT}%{_prefix}/bin EMACSDIR=${RPM_BUILD_ROOT}%{_prefix}/share/emacs/site-lisp)
(mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/info; cd infoman; cp ocaml*.gz ${RPM_BUILD_ROOT}%{_prefix}/share/info)
mkdir -p $RPM_BUILD_ROOT%{_mandir}
(cd $RPM_BUILD_ROOT%{_prefix}/man
	cp -rdp * $RPM_BUILD_ROOT%{_mandir}
	rm -rf $RPM_BUILD_ROOT%{_prefix}/man
)

cd $RPM_BUILD_DIR/%{name}-%{version}

pushd $RPM_BUILD_ROOT/usr/share/man/man1
  for i in *.1 ; do
    gzip $i
  done
popd


%files
%defattr(-,root,root)
%doc refman.ps.gz htmlman
%{_prefix}/bin/*
%{_prefix}/share/man/*/*
%{_prefix}/lib/ocaml
%{_prefix}/share/emacs/site-lisp/*
%{_prefix}/share/info/*

%changelog
* Thu Jan 11 2001 Tim Powers <timp@redhat.com>
- exclude ia64

* Thu Jan  4 2001 Tim Powers <timp@redhat.com>
- fixed man pages not being gzipped

* Tue Nov 28 2000 Tim Powers <timp@redhat.com>
- don't strip the binaries in /usr/bin or anywhere elese since it
  makes the binaries *unusable*. This is not a bug in strip, or in
  RPM, but can be attributed to how the binaries are built. Fixes bug
  #21427

* Mon Jul 25 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 28 2000 Tim Powers <timp@redhat.com>
- push through the build system again.
- fix broken man page location

* Fri May 5 2000 Tim Powers <timp@redhat.com>
- use %{SOURCE2} instead since not all build systems use the default SOURCES dir for
	building
- use %{_prefix} wherever it's possible
- use EMACSDIR=%{_prefix}/share/emacs/site-lisp instead for consistancy with
  other packages (we don't use /usr/lib/emacs/site-lisp)
- added defattr to the files list
- quiet setups
